Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties
Interface ICompositePropertySource

All Superinterfaces:
  IPropertySource

All Known Subinterfaces:
  IExtendedPropertySource

All Known Implementing Classes:
  CompositePropertySource, EMFCompositePropertySource, NotationPropertySource, PropertySource

    public interface ICompositePropertySource

extends IPropertySource

The composite property source is a linked list of composite property sources. This allows the property service to chain property sources contributed by the different providers

Method Summary
`void` `addPropertySource(ICompositePropertySource source)` Add another composite property source to the linked list

Methods inherited from interface org.eclipse.ui.views.properties.IPropertySource
`getEditableValue, getPropertyDescriptors, getPropertyValue, isPropertySet, resetPropertyValue, setPropertyValue`

Method Detail

### addPropertySource

    void addPropertySource(ICompositePropertySource source)

  Add another composite property source to the linked list

  Parameters:
    `source` - - a composite property source to be added to the linked list

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.